<template>
	<view>
		<cu-custom bgColor="bg-gradual-blueness" :isBack="true">
			<block slot="backText">返回</block>
			<block slot="content">123</block>
		</cu-custom>
		<view style="margin-top: 300rpx;"> 
		<web-view style="margin-top: 300rpx;width: 200upx;height: 200upx;" :src="url"></web-view>
		</view>
		
	</view>
</template>

<script>
	import {
		basePath,corpinfoId,loginSession,formatDate,loginUser,baseImgPath
	} from '@/common/tool.js';
	export default {
		data() {
			return {
				noClick:true,
				url:'',
				name:'',
			}
		},
		filters: {
			formatDate(time) {
				if(time){
					var subStr=new RegExp('-','ig');//创建正则表达式对象,不区分大小写,全局查找
					time=time.replace(subStr,"/");//把'is'替换为空字符串
				}
				let date = new Date(time)
				return formatDate(date, 'yyyy-MM-dd hh:mm:ss')
			}
		},
		onLoad(event) {
			this.url = 'https://view.officeapps.live.com/op/view.aspx?src='+baseImgPath+event.url
			this.name = event.name;
		},
		methods: {
		}
	}
</script>

<style>

</style>
